//
//
// Wireless-mouse modification project by OM2JU
// Part: Bottom
//
//
//------------------------------------------------------------------------------------------
//
$fn = 64;    // Rounding parameter; for production set to high (e.g. 64) 
//
//----------------------------------------------------------------------------------
//
// Rounded primitives for openscad
// (c) 2013 Wouter Robers 

// Syntax example for a rounded block
//translate([-15,0,10]) rcube([20,20,20],2);

// Syntax example for a rounded cylinder
//translate([15,0,10]) rcylinder(r1=15,r2=10,h=20,b=2);

module rcube(Size=[20,20,20],b=2)
{hull(){for(x=[-(Size[0]/2-b),(Size[0]/2-b)]){for(y=[-(Size[1]/2-b),(Size[1]/2-b)]){for(z=[-(Size[2]/2-b),(Size[2]/2-b)]){ translate([x,y,z]) sphere(b);}}}}}


module rcylinder(r1=10,r2=10,h=10,b=2)
{translate([0,0,-h/2]) hull(){rotate_extrude() translate([r1-b,b,0]) circle(r = b); rotate_extrude() translate([r2-b, h-b, 0]) circle(r = b);}}
    

//----------------------------------------------------------------------------------
//
difference() {

    
union() {
// base plate
translate([0,0,2.0/2]) rcube(Size=[61+1,81-0.4,2.0],b=1);
}

// cut the corners so that base fits in rounded shell (part: Cover)
rotate ([0,0,45]) translate([0,-50.0,3]) cube(size=[30,10,6],center=true);
rotate ([0,0,45]) translate([-50.0,0,3]) cube(size=[10,30,6],center=true);
rotate ([0,0,45]) translate([50,0,3])    cube(size=[10,30,6],center=true);
rotate ([0,0,45]) translate([0,50,3])    cube(size=[30,10,6],center=true);

// cut in rear side for manipulation
//translate([0,36,3]) cube(size=[12,9,6],center=true);

// cut in right side for easy insertion with screwdriver
translate([-32,17,3])  cube(size=[10,10,6],center=true);
translate([-32,-17,3]) cube(size=[10,10,6],center=true);

// cut for mouse optics
translate([23,-1,3])  cube(size=[11,24,6],center=true);

}

