//
//
// Wireless-mouse modification project by OM2JU
//
//
//------------------------------------------------------------------------------------------
// Rounded primitives for openscad
// (c) 2013 Wouter Robers 

// Syntax example for a rounded block
//translate([-15,0,10]) rcube([20,20,20],2);

// Syntax example for a rounded cylinder
//translate([15,0,10]) rcylinder(r1=15,r2=10,h=20,b=2);



module rcube(Size=[20,20,20],b=2)
{hull(){for(x=[-(Size[0]/2-b),(Size[0]/2-b)]){for(y=[-(Size[1]/2-b),(Size[1]/2-b)]){for(z=[-(Size[2]/2-b),(Size[2]/2-b)]){ translate([x,y,z]) sphere(b);}}}}}


module rcylinder(r1=10,r2=10,h=10,b=2)
{translate([0,0,-h/2]) hull(){rotate_extrude() translate([r1-b,b,0]) circle(r = b); rotate_extrude() translate([r2-b, h-b, 0]) circle(r = b);}}

//------------------------------------------------------------------------------------------
$fn = 40;
$kh = 5;    // knob height
$hr = 12.0;


difference() {
translate([0,0,$kh/2]) rcylinder(r1=38.0/2,r2=40.0/2,h=$kh,b=1.8);
translate([0, 0, 4.3]) linear_extrude(height = 35) circle(36/2);

// #3
translate([$hr, 0, -4.0])     sphere(r=6.4);
translate([$hr, 0, -12.95])   sphere(r=14.2);
// #4
translate([-$hr, 0, -4.0])    sphere(r=6.4);
translate([-$hr, 0, -12.95])  sphere(r=14.2);


//translate([0, 11, 0.6]) linear_extrude(height = 10) circle(14/2);
//translate([0,-11, 0.6]) linear_extrude(height = 10) circle(14/2);

translate([9,  9,  0.6]) linear_extrude(height = 10) circle(10.2/2);
translate([9,  -9, 0.6]) linear_extrude(height = 10) circle(10.2/2);
translate([-9, 9,  0.6]) linear_extrude(height = 10) circle(10.2/2);
translate([-9, -9, 0.6]) linear_extrude(height = 10) circle(10.2/2);


}


difference () {
union () {
translate([0, 0, 1])   linear_extrude(height = 6.6)      circle(3.8);
translate([0, 0, 1])   linear_extrude(height = 8.5+6.5-1.5) circle(2.96);
translate([0,0,14.5])    cylinder(r1=2.96,r2=2.6,h=0.5);

}
translate([0, 0, 5.0])   linear_extrude(height = 20)  circle(1.1);
} // diff



